## jxtray
Class SQLUtilities

    java.lang.Object
      jxtray.SQLUtilities

public class SQLUtilities
extends java.lang.Object

This is a class that contains only static methods for SQL use.

Constructor Summary
`SQLUtilities()`

Method Summary
`static java.lang.String` `addSlashes(java.lang.String oldQuery, java.lang.String spaceChar, java.lang.String targetChar)` Add slashes to the query whene it contains quote.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLUtilities

    public SQLUtilities()

Method Detail

### addSlashes

    public static java.lang.String addSlashes(java.lang.String oldQuery,
                                              java.lang.String spaceChar,
                                              java.lang.String targetChar)

  Add slashes to the query whene it contains quote. This method is similar to the PHP method.

  Parameters:
    `oldQuery` - Query to parse
    `spaceChar` - Escape delimtor. With MySQL = \ with ORACLE = '
    `targetChar` - Char to replace
  Returns:
    String